import Setting from '@/setting'
let uploadURL = Setting.upload.apiURL
export default { 
  // 登录 
  logins: `management/userInfo/login`,

  // oss文件管理
  fileDeletion: `${uploadURL}/oss/manage/fileDeletion`,
  fileupload: `${uploadURL}/oss/manage/fileupload`,
  getPlayAuth: `${uploadURL}/oss/manage/getPlayAuth`,
  removeMoreVideo: `${uploadURL}/oss/manage/removeMoreVideo`,
  removeVideo: `${uploadURL}/oss/manage/removeVideo`,
  
  // 查询省份城市
  queryProvince: `cjEnterprise/province/queryProvince`,
  queryCity: `cjEnterprise/city/queryCity`,
  queryClient: `cjEnterprise/client/list`,
  
  // 个人中心
  userinfoUpdate:`management/userInfo/update`,
  userinfo:`management/userInfo/getUserInfo`,
  getAccount:`management/userInfo/getAccount`,
  downloadManualTemp:`http://szks.supergen-edu.com/template/%E8%B6%85%E7%AB%9E%E6%95%B0%E5%AD%97%E5%8C%96%E8%80%83%E8%AF%95%E7%B3%BB%E7%BB%9F-%E6%93%8D%E4%BD%9C%E6%89%8B%E5%86%8C%EF%BC%88%E5%AD%A6%E6%A0%A1%E7%AE%A1%E7%90%86%E7%AB%AF%EF%BC%89.pdf`,

  // 学生班级
  addClass: `management/class/addClass`,
  deleteClass: `management/class/deleteClass`,
  queryClass: `management/class/queryClass`,
  updateClass: `management/class/updateClass`,

  // 学生年级
  addGrade: `management/grade/addGrade`,
  deleteGrade: `management/grade/deleteGrade`,
  queryGrade: `management/grade/queryGrade`,
  updateGrade: `management/grade/updateGrade`,

  // 学生专业组织
  addStudentProfessionalArchitecture: `management/studentProfessionalArchitecture/addStudentProfessionalArchitecture`,
  deleteStudentProfessionalArchitecture: `management/studentProfessionalArchitecture/deleteStudentProfessionalArchitecture`,
  queryStudentPAN: `management/studentProfessionalArchitecture/queryStudentPAN`,
  queryStudentProfessionalArchitecture: `management/studentProfessionalArchitecture/queryStudentProfessionalArchitecture`,
  updateStudentProfessionalArchitecture: `management/studentProfessionalArchitecture/updateStudentProfessionalArchitecture`,

  // 学生管理
  addStudent: `management/student/addStudent`,
  deleteStudents: `management/student/deleteStudents`,
  getStudent: `management/student/getStudent`,
  queryStudent: `management/student/list`,
  updateStudent: `management/student/updateStudent`, 
  studentGetWorkNumber: `management/student/getWorkNumber`,
  exportFailureStudent: `${Setting.apiBaseURL}/management/student/exportFailure`,
  uploadFileStudent: `${Setting.apiBaseURL}/management/student/uploadFile`,
  downloadStudentTemp: 'http://szks.supergen-edu.com/template/%E8%80%83%E8%AF%95%E5%B9%B3%E5%8F%B0%E5%AD%A6%E7%94%9F%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx',

  // 一级部门
  addStaffPro: `management/staffProfessionalArchitecture/addStaffProfessionalArchitecture`,
  deleteStaffPro: `management/staffProfessionalArchitecture/deleteStaffProfessionalArchitecture`,
  queryStaffPAN: `management/staffProfessionalArchitecture/queryStaffPAN`,
  queryStaffPro: `management/staffProfessionalArchitecture/queryStaffProfessionalArchitecture`,
  updateStaffPro: `management/staffProfessionalArchitecture/updateStaffProfessionalArchitecture`,

  // 二级部门
  addStaffGrade: `management/staffGrade/addStaffGrade`,
  deleteStaffGrade: `management/staffGrade/deleteStaffGrade`,
  queryStaffGrade: `management/staffGrade/queryStaffGrade`,
  queryStaffName: `management/staffGrade/queryStaffName`,
  updateStaffGrade: `management/staffGrade/updateStaffGrade`,

  // 员工管理
  addStaff: `management/staff/addStaff`,
  deleteStaffs: `management/staff/deleteStaffs`,
  getStaff: `management/staff/getStaff`,
  queryStaff: `management/staff/managementList`,
  updateStaff: `management/staff/updateStaff`,
  getWorkNumber: `management/staff/getWorkNumber`,
  exportFailureStaff: `${Setting.apiBaseURL}/management/staff/exportFailure`,
  uploadFileStaff: `${Setting.apiBaseURL}/management/staff/managementUpload`,
  downloadStaffTemp: `http://szks.supergen-edu.com/template/%E8%80%83%E8%AF%95%E5%B9%B3%E5%8F%B0%E5%91%98%E5%B7%A5%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx`,

  // 角色管理
  getRole: `management/role/get`,
  queryRoles: `management/role/list`,
  removeRole: `management/role/batchRemove`,
  saveOrUpdate: `management/role/saveOrUpdate`,

  // 权限菜单管理
  doAssign: `management/permission/doAssign`,
  queryPermissionMenu: `management/permission/queryManagementPermissionMenu`,
  toAssign: `management/permission/toAssign`,

  getTypeByOneLever:`cjEnterprise/questionBank/getTypeByOneLever`,
  getCourses:`management/testPaper/getCourses`,
  typesList:`cjEnterprise/questionTypes/typesList`,
  // 共享相关
  deleteBySharing:`management/questionSharing/deleteBySharing`,
  detailSharing:`management/questionSharing/detail`,
  getMeSharingInfo:`management/questionSharing/getMeSharingInfo`,
  pageByConditionSharing:`management/questionSharing/pageByConditionSharing`,
  saveSharing:`management/questionSharing/save`,
  batchSave:`cjEnterprise/questionSharing/batchSave`,
  cancelByMySharing:`cjEnterprise/questionSharing/cancelByMySharing`,
  delByMySharing:`management/questionSharing/delByMySharing`,
  deleteByMeSubject:`cjEnterprise/questionSharing/deleteByMeSubject`,
  deleteByMeSubjectBySharing:`cjEnterprise/questionSharing/deleteByMeSubjectBySharing`,

  // 试卷管理
  copyPaper:`management/testPaper/copyPaper`,
  delByMyTestPaper:`management/testPaper/delByMyTestPaper`,
  detailtestPaper:`management/testPaper/detail`,
  pageBySchoolTestPaper:`management/testPaper/pageBySchoolTestPaper`,
  pageBygetMeTestPaper:`management/testPaper/pageBygetMeTestPaper`,
  previewtestPaper:`management/testPaper/preview`,
  saveOrUpdatetestPaper:`management/testPaper/saveOrUpdate`,
  getModifyByList:`management/testPaper/getModifyByList`,
  modifyState:`management/testPaper/modifyState`,
  schoolTestPaperByRelease:`management/testPaper/schoolTestPaperByRelease`,
  previewPaper:`/management/testPaper/previewPaper`,
  getPaperCurriculum:`/management/testPaper/getPaperCurriculum`,

  // 试题信息相关
  addQuestions:`management/questions/addQuestions`,
  fuzzyQuery:`management/questions/fuzzyQuery`,
  queryKnowledgePoints:`management/questions/queryKnowledgePoints`,
  getSelectInfo:`management/questions/getSelectInfo`,
  pageByChoiceList:`management/questions/pageByChoiceList`,
  statistical:`management/questions/statistical`,
  getQuestionListBySelect:`management/questions/getQuestionListBySelect`,

  // 考核管理
  addAssessment:`/management/assessment/addAssessment`,
  deleteAssessment:`/management/assessment/deleteAssessment`,
  queryAssessment:`/management/assessment/queryAssessment`,
  queryAssessmentName:`/management/assessment/queryAssessmentName`,
  queryClassAssessment:`/management/assessment/queryClass`,
  updateAssessment:`/management/assessment/updateAssessment`,
  queryAssessmentDetails:`/management/assessment/queryAssessmentDetails`,
  queryAssessmentNumber:`/management/assessment/queryAssessmentNumber`,
  monitorList:`management/monitor/monitorList`,
  compulsory:`management/monitor/compulsory`,

  // 考试批阅
  correcting:`/management/review/correcting`,
  getWrong:`/management/review/getWrong`,
  reviewByid:`/management/review/reviewByid`,
  reviewList:`/management/review/reviewList`,

  // 题库分类
  AddOneLevel:`cjEnterprise/questionBank/AddOneLevel`,
  AddSecondLevel:`cjEnterprise/questionBank/AddSecondLevel`,
  deleteById:`cjEnterprise/questionBank/deleteById`,
  getTypeByOneLever:`cjEnterprise/questionBank/getTypeByOneLever`,
  listByPage:`cjEnterprise/questionBank/listByPage`,
  modifyLevel:`cjEnterprise/questionBank/modifyLevel`,

  // 题库管理
  deleteByOne:`cjEnterprise/questions/deleteByOne`,
  findById:`cjEnterprise/questions/findById`,
  pageByCondition:`cjEnterprise/questions/pageByCondition`,
  updateQuestions:`cjEnterprise/questions/update`,
  getExcel:`cjEnterprise/questions/getExcel`,
  impExcel:`${Setting.apiBaseURL}/management/questions/impExcel`,
  downloadQuesTemp: 'http://szks.supergen-edu.com/template/%E9%A2%98%E5%BA%93%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx',

  // 考核成绩管理
  answerDetail:`management/paperRecord/answerDetail`,
  findByIdpaperRecord:`management/paperRecord/findById`,
  getAssessmentByClass:`management/paperRecord/getAssessmentByClass`,
  getMyClass:`management/paperRecord/getMyClass`,
  savepaperRecord:`management/paperRecord/save`,
  teacherByGetAchievement:`management/paperRecord/teacherByGetAchievement`,
  achievementStatistics:`/management/paperRecord/achievementStatistics`,
  exportAssessment:`${Setting.apiBaseURL}/management/paperRecord/export`,
  getRanking:`/management/paperRecord/getRanking`,
  getRankingExport:`${Setting.apiBaseURL}/management/paperRecord/getRankingExport`,

  // 留言板
  delComment:`/management/messageBoard/delComment`,
  delReply:`/management/messageBoard/delReply`,
  delMessageBoard:`/management/messageBoard/delMessageBoard`,
  queryMessageBoard:`/management/messageBoard/queryMessageBoard`,
  queryMessageBoardDetail:`/management/messageBoard/queryMessageBoardDetail`,
  saveComment:`/management/messageBoard/saveComment`,
  saveMessageBoard:`/management/messageBoard/saveMessageBoard`,
  saveReply:`/management/messageBoard/saveReply`,

  // 练习管理
  cancelPractise:`/management/practise/cancelPractise`,
  createPractise:`/management/practise/createPractise`,
  pageByName:`/management/practise/pageByName`,
  seeDetails:`/management/practise/seeDetails`,
  updatePractise:`/management/practise/updatePractise`,

  // 练习批阅
  practiceReviewList:`/management/practise/review/reviewList`,
  reviewListByStudent:`/management/practise/review/reviewListByStudent`,
  reviewDetail:`/management/practise/review/reviewDetail`,
  reviewByidPractice:`/management/practise/review/reviewByid`,
  getWrongPractice:`/management/practise/review/getWrong`,

  // 练习成绩管理
  AchievementDetail:`/management/practise/review/AchievementDetail`,
  AchievementList:`/management/practise/review/AchievementList`,
  exportPractice:`/management/practise/review/export`,
  getMineClass:`/management/practise/review/getMineClass`,
  AchievementListByClassId:`/management/practise/review/AchievementListByClassId`,
  byClassIdGetPractise:`/management/practise/review/byClassIdGetPractise`,

  // 错题管理
  getPeopleInfo:`/management/wrongTopic/getPeopleInfo`,
  pageByNameWrong:`/management/wrongTopic/pageByName`,
  
  // 首页
  waitReply:`/management/index/waitReply`,
  waitReview:`/management/index/waitReview`,
  waitExam:`/management/index/waitExam`,
  waitReplyDel:`/management/index/waitReplyDel`,
}