import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'achievement-';

export default {
    path: '/achievement',
    name: 'achievement',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/achievement/list'),
            meta: { title: '成绩管理' }
        },
        {
            name: `${pre}statistics`,
            path: `statistics`,
            component: () => import('@/pages/achievement/statistics'),
            meta: { title: '成绩统计' }
        },
    ]
};
