import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'testPaper-';

export default {
    path: '/testPaper',
    name: 'testPaper',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/testPaper/list'),
            meta: { title: '试卷管理' }
        },{
            name: `${pre}add`,
            path: `add`,
            component: () => import('@/pages/testPaper/add'),
            meta: { title: '新增试卷' }
        },{
            name: `${pre}show`,
            path: `show`,
            component: () => import('@/pages/testPaper/show'),
            meta: { title: '试卷预览' }
        },
    ]
};