/**
 * 成绩管理
 * */
export default {
    namespaced: true,
    state: {
        id: '',
        stuId: '',
        assessmentId: '',
        assessmentName: '',
        classId: '',
        assessmentIdAss: '',
        assessmentNameAss: '',
        classIdAss: '',
        classNameAss: '',
        practiseId: '',
        practiceIdAss: '',
        practiceNameAss: '',
        thisScore: '',
        timeSpent: '',
        score: 0
    },
    getters: {
        
    },
    mutations: {
        SET_ASS_DETAIL_INFO: (state, info) => {
            state.id = info.id
            state.stuId = info.stuId
            state.assessmentId = info.assessmentId
            state.assessmentName = info.assessmentName
            state.classId = info.classId
            state.thisScore = info.thisScore
            state.timeSpent = info.timeSpent
        },
        SET_ASS_LIST_INFO: (state, info) => {
            state.assessmentIdAss = info.assessmentIdAss
            state.assessmentNameAss = info.assessmentNameAss
            state.classIdAss = info.classIdAss
            state.classNameAss = info.classNameAss
        },
        SET_RRAC_DETAIL_INFO: (state, info) => {
            state.practiseId = info.practiseId
            state.stuId = info.stuId
            state.score = info.score
        },
        SET_PRAC_LIST_INFO: (state, info) => {
            state.practiceIdAss = info.practiceIdAss
            state.practiceNameAss = info.practiceNameAss
            state.classIdAss = info.classIdAss
            state.classNameAss = info.classNameAss
        },
    },
    actions: {
        setAssListInfo({ commit },info) {
            commit('SET_ASS_LIST_INFO',info)
        },
        setAssDetailInfo({ commit },info) {
            commit('SET_ASS_DETAIL_INFO',info)
        },
        setPracListInfo({ commit },info) {
            commit('SET_PRAC_LIST_INFO',info)
        },
        setPracDetailInfo({ commit },info) {
            commit('SET_RRAC_DETAIL_INFO',info)
        },
    }
}