import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'assessment-';

export default {
    path: '/assessment',
    name: 'assessment',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/assessment/list'),
            meta: { title: '考核管理' }
        },
        {
            name: `${pre}review`,
            path: `review`,
            component: () => import('@/pages/assessment/review'),
            meta: { title: '考试批阅' }
        },
        {
            name: `${pre}scoreQuery`,
            path: `scoreQuery`,
            component: () => import('@/pages/assessment/scoreQuery'),
            meta: { title: '成绩查询' }
        },
        {
            name: `${pre}monitor`,
            path: `monitor`,
            component: () => import('@/pages/assessment/monitor'),
            meta: { title: '考试监控' }
        },
        {
            name: `${pre}show`,
            path: `show`,
            component: () => import('@/pages/assessment/show'),
            meta: { title: '批阅详情' }
        },
        {
            name: `${pre}doReview`,
            path: `doReview`,
            component: () => import('@/pages/assessment/doReview'),
            meta: { title: '批改' }
        },
        {
            name: `${pre}detail`,
            path: `detail`,
            component: () => import('@/pages/assessment/detail'),
            meta: { title: '答题详情' }
        },
    ]
};