import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'practice-';

export default {
    path: '/practice',
    name: 'practice',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/practice/list'),
            meta: { title: '练习管理' }
        },
        {
            name: `${pre}review`,
            path: `review`,
            component: () => import('@/pages/practice/review'),
            meta: { title: '练习批阅' }
        },
        {
            name: `${pre}scoreQuery`,
            path: `scoreQuery`,
            component: () => import('@/pages/practice/scoreQuery'),
            meta: { title: '成绩查询' }
        },
        {
            name: `${pre}result`,
            path: `result`,
            component: () => import('@/pages/practice/result'),
            meta: { title: '查看成绩' }
        },
        {
            name: `${pre}detail`,
            path: `detail`,
            component: () => import('@/pages/practice/detail'),
            meta: { title: '答题详情' }
        },{
            name: `${pre}doReview`,
            path: `doReview`,
            component: () => import('@/pages/practice/doReview'),
            meta: { title: '批阅' }
        },
    ]
};