import router from './index'
import generateRoutes from '@/libs/route/generateRoutes'
import Setting from '@/setting'
import util from '@/libs/util'

router.beforeEach((to, from, next) => {
    document.title = `${to.meta.title} | ${Setting.titleSuffix}`
    const role = util.session.get(Setting.usernameKey)
    if (!role && to.path !== '/login') {
        next('/login')
        // if(to.fullPath == '/'){
        //     next('/login')
        // }else{
        //     next({
        //         path: '/login',
        //         query: {redirect: to.fullPath}
        //     })
        // }
    } else if(role && to.path == '/login') {
        next('/index')
    } else if(role && to.path == '/') {
        next('/index')
    } else {
        next()
    }
});

Setting.dynamicRoute && generateRoutes()